Subject: RE: RE: [Megaco] DOUBT

From: Carl Rutter <[email-masked]>
Date: Tue, 29 Jan 2002 08:03:32 -0500

I don't believe MG redundancy is required.
However since many of the systems designed
with MEGACO are for the Telco space and
must high reliability
the redundancy issues are covered.

Carl 

-----Original Message-----
From: vidya g [mailto:[email-masked]]
Sent: Tuesday, January 29, 2002 12:21 AM
To: Madhu Babu Brahmanapally
Cc: [email-masked]
Subject: Re: RE: [Megaco] DOUBT

hi

   Does it means that we need to maintain a 'hotstandby' for all MGs ( VMGs
).. ? ofcourse it depends on the application logic and the robustness we
wish to have in our application, but what is the necessity that RFC says
such a thing .. ? If this is how every one develops tha MG application,
please let me know that

regs
vdy

On Mon, 28 Jan 2002 Madhu Babu Brahmanapally wrote :
> HI Vidya,
> Primary MG IMO is the MG that was in communication with 
> the MGC before
> failure. A secondary(Redundant) MG is going to takeover 
> the primary(failed)
> MGs terminations.
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]
> g]On Behalf Of
> vidya g
> Sent: Monday, January 28, 2002 6:04 AM
> To: [email-masked]
> Subject: [Megaco] DOUBT
> 
> 
> 
> hi
> 
>    In RFC section 7.2.8 service change reason 
> explanation for failover is
> given as below
> 
>  6) Failover - sent from MG to MGC to indicate the 
> primary MG is out
>       of service and a secondary MG is taking over.
> 
>   What is this primary MG here.. ?
> 
> vdy
> 
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
> 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Balasubramanian Pitchandi" <[email-masked]>
Date: Tue, 29 Jan 2002 09:25:48 -0500

Hi All,

Section 11.4, in RFC3015 talks about failure of a MG as follows:

"  If a MG fails, but is capable of sending a message to the MGC, it
   sends a ServiceChange with an appropriate method (graceful or forced)
   and specifies the Root TerminationID.  When it returns to service, it
   sends a ServiceChange with a "Restart" method."

But it does not talk about the scenario, where MG has a deadly failure,
where it cannot send any message to the MGC. What happens then? Does the
MGC instruct other MGs to take over? 

Lets assume that it does instruct another MG to take over. Does that
mean all the same physical terminations should be connected to both the
MGs at the same time, in order for the user to have the services back
(assuming it's a Residential Gateway)?

From a implementation point of view, do the physical terminations
(actual residential POTS ports) need to be connected to "two" MGs at the
same time in order to have failover when there is a 'deadly' MG crash?

Is there a RFC correction to cover this aspect?

Thanks in advance.

Cheers,
Bala

---

From: "Balasubramanian Pitchandi" <[email-masked]>
Date: Tue, 29 Jan 2002 09:25:48 -0500

Hi All,

Thanks in advance.

Cheers,
Bala